package cn.pluss.platform.leshua;

/**
 * @author yuchen
 * 
 * @Description 
 */
public enum ErrorCodeEnum {
	
	SYSTEM_ERR("10001", "系统异常"),
	PARAM_ERR("10002", "请求参数有误"),
	VERIFY_SIGNATURE_ERR("10003", "验证签名失败"),
	NO_PRIVILEGE("10004", "您没有权限进行此项操作"),
	PROCESS_ERR("10005", "处理失败"),
	REQUEST_INVALID_JSON("10006", "JSON格式错误"),
	REQUEST_BAD("10007", "错误的请求"),
	REQUEST_DUPLICATED("10008", "重复的请求"),
	DATA_NOT_FOUND("10009", "数据不存在"),
	SERVICE_DISABLE("10010", "服务未开通"),
	AMOUNT_LIMIT("10011", "交易金额限制"),
	AMOUNT_TOO_SMALL("10012", "交易金额太小"),
	PAY_ERR("10013", "支付失败"),
	REFUND_ERR("10014", "退款失败"),
	CONFIG_ERR("10015", "配置错误"),
	
	MERCHANT_NOT_EXIST("10101", "商户不存在"),
	MERCHANT_NOT_ACTIVED("10102", "商户未激活或已冻结"),
	MERCHANT_KEYS_NOT_EXISTS("10103", "商户密钥未配置"),
	MERCHANT_NOT_OPEN_WXPAY("10106", "商户未开通微信支付"),
	MERCHANT_NOT_OPEN_ALIPAY("10107", "商户未开通支付宝支付"),
	MERCHANT_NOT_OPEN_JDPAY("10108", "商户未开通京东钱包"),
	MERCHANT_NOT_AUDIT("10109", "商户未审核"),
	MERCHANT_NOT_OPEN_D0("10110", "商户未开通D0提现" ),
	MERCHANT_NOT_OPEN_T1("10111", "商户未开通T1提现" ),
	
	MERCHANT_TRADE_RATE_ERR("10120", "商户费率不正确,不能交易"),
	MERCHANT_BALANCE_NOT_ENOUGH("10121", "商户余额不足,不能退款"),
	
	AGENT_NOT_EXIST("10201", "代理商不存在"),
	AGENT_NOT_ACTIVED("10202", "代理商未激活或已冻结"),
	AGENT_KEYS_NOT_EXISTS("10203", "代理商密钥未配置"),
	
	ORDER_NOT_EXISTS("10301", "订单号不存在"),
	ORDER_IS_EXISTS("10302", "订单号重复"),
	ORDER_CREATE_ERROR("10303","订单创建失败"),
	ORDER_NOT_PAY_ERROR("10304","订单未成功支付"),
	ORDER_NOT_CAL_ERROR("10305","订单未计费"),
	ORDER_IS_ERROR_FORMAT("10306", "订单号有非法字符"),
	
	PAYMENT_ERROR("10401", "代付失败"),
	WITHDRAW_OFF("10402", "D0提现关闭,请稍后再试"),
	PUBLIC_ACCOUNT_NOT_D0SETT("10403", "结算帐户为对公帐户,不能进行D0提现"),

	MERCHANT_WITHDRAW_NOT_ALLOW("10404", "商户不允许进行提现"),
	WITHDRAW_FAIL("10405", "商户提现失败"),
	WITHDRAW_RECON_FILE_DOWNLOAD_SWITCH_OFF("10407", "提现对帐文件暂时未生成,请稍后再试."),
	WITHDRAW_TIME_LIMIT("10409", "该时间段不能进行提现."),
	WITHDRWA_ORDER_NOT_EXISTS("10410", "提现订单号不存在"),
	WITHDRWA_ORDER_IS_EXISTS("10411", "提现订单号重复"),
	MERCHANT_DEBIT_BALANCE_NOT_ENOUGH("10420", "商户借记账户余额不足"),
	MERCHANT_CREDIT_BALANCE_NOT_ENOUGH("10421", "商户贷记账户余额不足"),
	NET_AMOUNT_TOO_SMALL("10422", "扣除手续费后，实际到账金额小于0"),
	WITHDRAW_BIZ_ERR("300001", "提现业务失败,需要回滚事务."),
	
	TRADE_CARD_UNBOUND("20001", "交易卡未绑定或已解绑"),
	SETTLE_CARD_UNBOUND("20110", "结算卡未绑定"),
	SETTLE_CARD_BINDING_NOT_ACTIVED("20111", "结算卡绑定已禁用"),
	FASTPAY_SMS_CREATE_ERROR("20112","绑卡短信记录创建失败"),
	FASTPAY_CREATE_ERROR("20113","订单创建失败"),
	PHONE_INCONSISTENT("20114", "传入手机号码与绑卡手机号码不一致"),
	WITHDRAW_REPEAT("20115", "正在处理您的提现请求，请稍后."),
	INFO_MISMATCHING("20116", "信息不匹配"),
	BANK_ACCOUNT_NO_NAME_MISMATCHING("20117", "银行账号与账户名不匹配"),
	;
	
	private String errCode;
	private String errMsg;
	
	private ErrorCodeEnum(String errCode, String errMsg) {
		this.errCode = errCode;
		this.errMsg = errMsg;
	}

	public String getErrCode() {
		return errCode;
	}

	public String getErrMsg() {
		return errMsg;
	}

}

